<?php

class QuestionnaireQuestionController extends Controller {

    /**
     * Displays a particular model.
     * @param integer $id the ID of the model to be displayed
     */
    public function actionView($id) {
        $this->render('view', array(
            'model' => $this->loadModel($id),
        ));
    }

    /**
     * Lists all models.
     */
    public function actionIndex($questionnaire_id) {
        $dataProvider = new CActiveDataProvider('QuestionnaireQuestion');
        $this->render('index', array(
            'dataProvider' => $dataProvider,
        ));
    }

    /**
     * Returns the data model based on the primary key given in the GET variable.
     * If the data model is not found, an HTTP exception will be raised.
     * @param integer $id the ID of the model to be loaded
     * @return QuestionnaireQuestion the loaded model
     * @throws CHttpException
     */
    public function loadModel($id) {
        $model = QuestionnaireQuestion::model()->findByPk($id);
        if ($model === null)
            throw new CHttpException(404, '');
        return $model;
    }

}
